package com.example.springdemo.entities;

import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.Id;
import jakarta.persistence.Table;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

//用户类
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Entity
@Table(name = "Users")
public class Users {
    @Id
    private Long id;//主键，用户ID
    private String name;//用户姓名
    @Column(name = "phoneNumber")
    private String phoneNumber;//用户联系方式
    private String address;//家庭住址
    private String password;//用户密码
}
